=== debian/changelog ===
obs-command-source (0.4.0-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:01:30 +1100

obs-command-source (0.4.0-4build1) noble; urgency=high

  * No change rebuild against libobs0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:44:56 +0100

obs-command-source (0.4.0-4) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: added a Breaks field to make this plugin incompatible with
    obs-text-slideshow (<= 1.5.2-3), no longer in Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 12 Jun 2023 17:08:38 -0300

obs-command-source (0.4.0-3) experimental; urgency=medium

  * debian/upstream/metadata: fixed Repository field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 18 Mar 2023 14:21:40 -0300

obs-command-source (0.4.0-2) experimental; urgency=medium

  * debian/copyright: updated upstream licensing for two files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 15 Mar 2023 17:56:49 -0300

obs-command-source (0.4.0-1) experimental; urgency=medium

  * New upstream version 0.4.0. (Closes: #1032157)
  * debian/patches/:
      - 010_change-project-name.patch: updated to be compliant with new
        upstream version.
      - Removed the following patches because they were taken from upstream's
        repository and they are present in 0.4.0 version:
          ~ 020_fix-rpath.patch
          ~ 030_fix-spec.patch

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 14 Mar 2023 22:12:28 -0300

obs-command-source (0.3.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1031723)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 10:23:33 -0300
