=== debian/watch ===
version=4
https://github.com/norihiro/obs-command-source/tags archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)
