## obs-command-source 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.12)
 
-project(obs-command-source VERSION 0.4.0)
+project(obs-command-source VERSION 0.5.0)
 
 set(PLUGIN_AUTHOR "Norihiro Kamae")
 
@@ -22,16 +22,16 @@
 
 configure_file(
 	installer/installer-Windows.iss.in
-	../installer/installer-Windows.generated.iss
+	installer-Windows.generated.iss
 )
 
 configure_file(
 	ci/ci_includes.sh.in
-	../ci/ci_includes.generated.sh
+	ci/ci_includes.generated.sh
 )
 configure_file(
 	ci/ci_includes.cmd.in
-	../ci/ci_includes.generated.cmd
+	ci/ci_includes.generated.cmd
 )
 
 set(PLUGIN_SOURCES
