=== debian/changelog ===
obs-command-source (0.5.0-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 23 Jan 2026 14:04:14 -0300

obs-command-source (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0.
  * debian/copyright:
      - The upstream changed the licensing for the all project to GPL-2+ only.
      - Updated upstream and packaging copyright years.
  * debian/patches/010_change-project-name.patch: updated to be compliant with
    the new upstream version.
  * debian/watch: added uversionmangle to fix release candidate versions on
    upstream side.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 10 May 2024 20:48:39 -0300
