=== debian/control ===
--- 
+++ 
@@ -1,11 +1,8 @@
 Source: obs-command-source
 Section: video
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Rules-Requires-Root: no
+Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/dummy-source-to-execute-command.952/
 Vcs-Browser: https://salsa.debian.org/debian/obs-command-source
 Vcs-Git: https://salsa.debian.org/debian/obs-command-source.git
