=== debian/watch ===
Version: 5

Template: Github
Owner: norihiro
Project: obs-command-source
Uversionmangle: s/-rc/~rc/
